/* $Id: error.h,v 1.1.1.1 1999/01/30 06:09:06 andrewk Exp $
 ******************************************************************************
 * 
 * piocons - PSX PIO console utility for linux
 * Copyright (C) 1997,1998 by "The PIOCONS Team" (see AUTHORS)
 * All Rights Reserved.
 * 
 ******************************************************************************
 */

#ifndef __ERROR_H__
#define __ERROR_H__

#include "defs.h"

#define errorf(args...)		error_fail_printf(__FUNCTION__,__FILE__,__LINE__, ## args)
#define warnf(args...)		error_warn_printf(__FUNCTION__,__FILE__,__LINE__, ## args)

/** prototypes **/

void error_fail_printf (char* func, char *file, int line, char *msg, ...);
void error_warn_printf (char* func, char *file, int line, char *msg, ...);

#endif  __ERROR_H__
